Query Alarms

Query Alarms

Get Alarms from Vms given the vdu Id

Request
URI
POST
https://{api_host}/hybridity/api/vnffm/v1/{vnfInstanceId}/alarms
COPY
Path Parameters
string
vnfInstanceId
Required

Network Function Instance Id


Request Body
alarmFilter of type(s) application/json
Required
{
    "filter": {
        "ids": [
            "string"
        ],
        "vduIds": [
            "string"
        ],
        "vnfInstanceId": "string",
        "vmMorefs": [
            "string"
        ],
        "alarmIds": [
            "string"
        ],
        "ackState": "string",
        "perceivedSeverity": [
            "string"
        ],
        "hcxEndpointIds": [
            "string"
        ]
    }
}
object
filter
Optional

filter

Authentication
This operation uses the following authentication methods.
Responses
200
Returns SucessAlarmsResponse of type(s) application/json
{
    "alarms": [
        {
            "id": "string",
            "entityId": "string",
            "entityName": "string",
            "managedObjectId": "string",
            "vnfInstanceName": "string",
            "vnfInstanceId": "string",
            "nsName": "string",
            "nsInstanceId": "string",
            "perceivedSeverity": "string",
            "alarmRaisedTime": "string",
            "ackState": "string",
            "ackStatus": "string",
            "alarmName": "string",
            "description": "string",
            "acknowledgedByUser": "string",
            "acknowledgedTime": "string",
            "eventTime": "string",
            "eventType": "string",
            "probableCause": "string",
            "isRootCause": false,
            "rowType": "string",
            "errors": [
                "string"
            ]
        }
    ],
    "nextPage": "string",
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of vduAlarms-2
alarms
Optional

alarms

string
nextPage
Optional

nextPage

array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500
Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors